#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTouchEvent>
#include "FormStartUp.h"
#include "FormHome.h"

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    void activate();
    ~MainWindow();

    void init();

private:
    void initWidget();

    void initConnect();

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::MainWindow *ui;
    FormStartUp* m_startup;
    FormHome* m_home;
};
#endif // MAINWINDOW_H
